Index: branches/new_class_id/src/lib/gui/gl/glgui_bar.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_bar.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_bar.cc	(revision 9715)
@@ -23,5 +23,5 @@
 {
 
-  NewObjectListDefinition(GLGuiBar);
+  ObjectListDefinition(GLGuiBar);
   /**
    * @brief standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_bar.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_bar.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_bar.h	(revision 9715)
@@ -21,5 +21,5 @@
   class GLGuiBar : public GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiBar);
+    ObjectListDeclaration(GLGuiBar);
   public:
     GLGuiBar();
Index: branches/new_class_id/src/lib/gui/gl/glgui_box.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_box.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_box.cc	(revision 9715)
@@ -22,5 +22,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiBox);
+  ObjectListDefinition(GLGuiBox);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_box.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_box.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_box.h	(revision 9715)
@@ -19,5 +19,5 @@
   class GLGuiBox : public GLGuiContainer
   {
-    NewObjectListDeclaration(GLGuiBox);
+    ObjectListDeclaration(GLGuiBox);
   public:
     GLGuiBox(OrxGui::Orientation orientation = OrxGui::Vertical);
Index: branches/new_class_id/src/lib/gui/gl/glgui_button.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_button.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_button.cc	(revision 9715)
@@ -23,5 +23,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiButton);
+  ObjectListDefinition(GLGuiButton);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_button.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_button.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_button.h	(revision 9715)
@@ -31,5 +31,5 @@
   class GLGuiButton : public GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiButton);
+    ObjectListDeclaration(GLGuiButton);
     public:
       GLGuiButton(const std::string& label);
Index: branches/new_class_id/src/lib/gui/gl/glgui_checkbutton.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_checkbutton.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_checkbutton.cc	(revision 9715)
@@ -22,5 +22,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiCheckButton);
+  ObjectListDefinition(GLGuiCheckButton);
 
   /**
Index: branches/new_class_id/src/lib/gui/gl/glgui_checkbutton.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_checkbutton.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_checkbutton.h	(revision 9715)
@@ -21,5 +21,5 @@
   class GLGuiCheckButton : public GLGuiButton
   {
-    NewObjectListDeclaration(GLGuiCheckButton);
+    ObjectListDeclaration(GLGuiCheckButton);
   public:
     GLGuiCheckButton(const std::string& label = "", bool active = false);
Index: branches/new_class_id/src/lib/gui/gl/glgui_colorselector.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_colorselector.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_colorselector.h	(revision 9715)
@@ -21,5 +21,5 @@
   class GLGui : public GLGui
   {
-    NewObjectListDeclaration(GLGuiColorSelector);
+    ObjectListDeclaration(GLGuiColorSelector);
   public:
     GLGui();
Index: branches/new_class_id/src/lib/gui/gl/glgui_container.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_container.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_container.cc	(revision 9715)
@@ -20,5 +20,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiContainer);
+  ObjectListDefinition(GLGuiContainer);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_container.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_container.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_container.h	(revision 9715)
@@ -20,5 +20,5 @@
   class GLGuiContainer : public GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiContainer);
+    ObjectListDeclaration(GLGuiContainer);
   public:
     GLGuiContainer();
Index: branches/new_class_id/src/lib/gui/gl/glgui_cursor.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_cursor.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_cursor.cc	(revision 9715)
@@ -23,5 +23,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiCursor);
+  ObjectListDefinition(GLGuiCursor);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_cursor.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_cursor.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_cursor.h	(revision 9715)
@@ -26,5 +26,5 @@
   class GLGuiCursor : public GLGuiWidget, public EventListener
   {
-    NewObjectListDeclaration(GLGuiCursor);
+    ObjectListDeclaration(GLGuiCursor);
   public:
     GLGuiCursor();
Index: branches/new_class_id/src/lib/gui/gl/glgui_fixedposition_box.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_fixedposition_box.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_fixedposition_box.cc	(revision 9715)
@@ -23,5 +23,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiFixedpositionBox);
+  ObjectListDefinition(GLGuiFixedpositionBox);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_fixedposition_box.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_fixedposition_box.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_fixedposition_box.h	(revision 9715)
@@ -21,5 +21,5 @@
   class GLGuiFixedpositionBox : public OrxGui::GLGuiBox, EventListener
   {
-    NewObjectListDeclaration(GLGuiFixedpositionBox);
+    ObjectListDeclaration(GLGuiFixedpositionBox);
     public:
       GLGuiFixedpositionBox(OrxGui::Position position = OrxGui::Center, OrxGui::Orientation orientation = OrxGui::Vertical);
Index: branches/new_class_id/src/lib/gui/gl/glgui_frame.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_frame.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_frame.cc	(revision 9715)
@@ -21,5 +21,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiFrame);
+  ObjectListDefinition(GLGuiFrame);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_frame.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_frame.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_frame.h	(revision 9715)
@@ -20,5 +20,5 @@
   class GLGuiFrame : public GLGuiContainer
   {
-    NewObjectListDeclaration(GLGuiFrame);
+    ObjectListDeclaration(GLGuiFrame);
   public:
     GLGuiFrame();
Index: branches/new_class_id/src/lib/gui/gl/glgui_handler.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_handler.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_handler.cc	(revision 9715)
@@ -34,5 +34,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiHandler);
+  ObjectListDefinition(GLGuiHandler);
   /**
    * standard constructor
@@ -116,5 +116,5 @@
   {
     // retrieve Objects.
-    NewObjectList<GLGuiWidget>::const_iterator it, currentIt;
+    ObjectList<GLGuiWidget>::const_iterator it, currentIt;
     currentIt = GLGuiWidget::objectList().end();
 
@@ -154,5 +154,5 @@
   void GLGuiHandler::selectPrevious()
   {
-    NewObjectList<GLGuiWidget>::const_iterator it, currentIt;
+    ObjectList<GLGuiWidget>::const_iterator it, currentIt;
     currentIt = GLGuiWidget::objectList().begin();
 
@@ -286,5 +286,5 @@
     if (this->_cursor != NULL)
     {
-      for (NewObjectList<GLGuiWidget>::const_iterator it = GLGuiWidget::objectList().begin();
+      for (ObjectList<GLGuiWidget>::const_iterator it = GLGuiWidget::objectList().begin();
 	   it != GLGuiWidget::objectList().end();
 	   it++)
Index: branches/new_class_id/src/lib/gui/gl/glgui_handler.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_handler.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_handler.h	(revision 9715)
@@ -19,5 +19,5 @@
   class GLGuiHandler : public EventListener
   {
-    NewObjectListDeclaration(GLGuiHandler);
+    ObjectListDeclaration(GLGuiHandler);
   public:
     /** @returns a Pointer to the only object of this Class */
Index: branches/new_class_id/src/lib/gui/gl/glgui_image.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_image.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_image.cc	(revision 9715)
@@ -22,5 +22,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiImage);
+  ObjectListDefinition(GLGuiImage);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_image.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_image.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_image.h	(revision 9715)
@@ -21,5 +21,5 @@
   class GLGuiImage : public GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiImage);
+    ObjectListDeclaration(GLGuiImage);
   public:
     GLGuiImage();
Index: branches/new_class_id/src/lib/gui/gl/glgui_inputline.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_inputline.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_inputline.cc	(revision 9715)
@@ -20,5 +20,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiInputLine);
+  ObjectListDefinition(GLGuiInputLine);
   /**
    * @brief standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_inputline.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_inputline.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_inputline.h	(revision 9715)
@@ -25,5 +25,5 @@
   class GLGuiInputLine : public OrxGui::GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiInputLine);
+    ObjectListDeclaration(GLGuiInputLine);
   public:
     GLGuiInputLine();
Index: branches/new_class_id/src/lib/gui/gl/glgui_mainwidget.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_mainwidget.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_mainwidget.cc	(revision 9715)
@@ -20,5 +20,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiMainWidget);
+  ObjectListDefinition(GLGuiMainWidget);
 
   /**
Index: branches/new_class_id/src/lib/gui/gl/glgui_mainwidget.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_mainwidget.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_mainwidget.h	(revision 9715)
@@ -15,5 +15,5 @@
   class GLGuiMainWidget : public GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiMainWidget);
+    ObjectListDeclaration(GLGuiMainWidget);
   public:
     virtual ~GLGuiMainWidget(void);
Index: branches/new_class_id/src/lib/gui/gl/glgui_menu.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_menu.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_menu.cc	(revision 9715)
@@ -20,5 +20,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiMenu);
+  ObjectListDefinition(GLGuiMenu);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_menu.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_menu.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_menu.h	(revision 9715)
@@ -19,5 +19,5 @@
   class GLGuiMenu : public GLGuiMenu
   {
-    NewObjectListDeclaration(GLGuiMenu);
+    ObjectListDeclaration(GLGuiMenu);
   public:
     GLGuiMenu();
Index: branches/new_class_id/src/lib/gui/gl/glgui_pushbutton.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_pushbutton.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_pushbutton.cc	(revision 9715)
@@ -23,5 +23,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiPushButton);
+  ObjectListDefinition(GLGuiPushButton);
   /**
    * @brief standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_pushbutton.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_pushbutton.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_pushbutton.h	(revision 9715)
@@ -21,5 +21,5 @@
   class GLGuiPushButton : public GLGuiButton
   {
-    NewObjectListDeclaration(GLGuiPushButton);
+    ObjectListDeclaration(GLGuiPushButton);
   public:
     GLGuiPushButton(const std::string& label = "");
Index: branches/new_class_id/src/lib/gui/gl/glgui_slider.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_slider.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_slider.cc	(revision 9715)
@@ -23,5 +23,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiSlider);
+  ObjectListDefinition(GLGuiSlider);
   /**
    * @brief standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_slider.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_slider.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_slider.h	(revision 9715)
@@ -21,5 +21,5 @@
   class GLGuiSlider : public GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiSlider);
+    ObjectListDeclaration(GLGuiSlider);
   public:
     GLGuiSlider();
Index: branches/new_class_id/src/lib/gui/gl/glgui_table.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_table.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_table.cc	(revision 9715)
@@ -23,5 +23,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiTable);
+  ObjectListDefinition(GLGuiTable);
   /**
    * @brief standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_table.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_table.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_table.h	(revision 9715)
@@ -25,5 +25,5 @@
   class GLGuiTable : public OrxGui::GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiTable);
+    ObjectListDeclaration(GLGuiTable);
   public:
     GLGuiTable(unsigned int rows, unsigned int columns);
Index: branches/new_class_id/src/lib/gui/gl/glgui_text.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_text.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_text.cc	(revision 9715)
@@ -22,5 +22,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiText);
+  ObjectListDefinition(GLGuiText);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_text.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_text.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_text.h	(revision 9715)
@@ -20,5 +20,5 @@
   class GLGuiText : public GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiText);
+    ObjectListDeclaration(GLGuiText);
   public:
     GLGuiText();
Index: branches/new_class_id/src/lib/gui/gl/glgui_textfield.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_textfield.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_textfield.cc	(revision 9715)
@@ -22,5 +22,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiTextfield);
+  ObjectListDefinition(GLGuiTextfield);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_textfield.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_textfield.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_textfield.h	(revision 9715)
@@ -20,5 +20,5 @@
   class GLGuiTextfield : public GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiTextfield);
+    ObjectListDeclaration(GLGuiTextfield);
   public:
     GLGuiTextfield();
Index: branches/new_class_id/src/lib/gui/gl/glgui_widget.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_widget.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_widget.cc	(revision 9715)
@@ -31,5 +31,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiWidget);
+  ObjectListDefinition(GLGuiWidget);
   /**
    * @brief standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_widget.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_widget.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_widget.h	(revision 9715)
@@ -30,5 +30,5 @@
   class GLGuiWidget : public Element2D
   {
-    NewObjectListDeclaration(GLGuiWidget);
+    ObjectListDeclaration(GLGuiWidget);
   public:
     GLGuiWidget(GLGuiWidget* parent = NULL);
Index: branches/new_class_id/src/lib/gui/gl/glgui_window.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_window.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_window.cc	(revision 9715)
@@ -20,5 +20,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiWindow);
+  ObjectListDefinition(GLGuiWindow);
   /**
    * standard constructor
Index: branches/new_class_id/src/lib/gui/gl/glgui_window.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glgui_window.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glgui_window.h	(revision 9715)
@@ -20,5 +20,5 @@
   class GLGuiWindow : public GLGuiContainer
   {
-    NewObjectListDeclaration(GLGuiWindow);
+    ObjectListDeclaration(GLGuiWindow);
   public:
     GLGuiWindow();
Index: branches/new_class_id/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc	(revision 9715)
@@ -26,5 +26,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(GLMenuImageScreen, CL_GLMENU_IMAGE_SCREEN);
+ObjectListDefinitionID(GLMenuImageScreen, CL_GLMENU_IMAGE_SCREEN);
 CREATE_FACTORY(GLMenuImageScreen);
 
Index: branches/new_class_id/src/lib/gui/gl/glmenu/glmenu_imagescreen.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/glmenu/glmenu_imagescreen.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/glmenu/glmenu_imagescreen.h	(revision 9715)
@@ -15,5 +15,5 @@
 class GLMenuImageScreen : public BaseObject
 {
-  NewObjectListDeclaration(GLMenuImageScreen);
+  ObjectListDeclaration(GLMenuImageScreen);
 public:
   GLMenuImageScreen (const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/gui/gl/specials/glgui_notifier.cc
===================================================================
--- branches/new_class_id/src/lib/gui/gl/specials/glgui_notifier.cc	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/specials/glgui_notifier.cc	(revision 9715)
@@ -23,5 +23,5 @@
 namespace OrxGui
 {
-  NewObjectListDefinition(GLGuiNotifier);
+  ObjectListDefinition(GLGuiNotifier);
   /**
    * @brief standard constructor
Index: branches/new_class_id/src/lib/gui/gl/specials/glgui_notifier.h
===================================================================
--- branches/new_class_id/src/lib/gui/gl/specials/glgui_notifier.h	(revision 9709)
+++ branches/new_class_id/src/lib/gui/gl/specials/glgui_notifier.h	(revision 9715)
@@ -24,5 +24,5 @@
   class GLGuiNotifier : public GLGuiWidget
   {
-    NewObjectListDeclaration(GLGuiNotifier);
+    ObjectListDeclaration(GLGuiNotifier);
   public:
     GLGuiNotifier();
